Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class AbstractListIteratorDecorator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractListIteratorDecorator

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Direct Known Subclasses:
  PredicatedList.PredicatedListIterator, TransformedList.TransformedListIterator

    public class AbstractListIteratorDecorator

extends java.lang.Object
implements java.util.ListIterator

Provides basic behaviour for decorating a list iterator with extra functionality.

All methods are forwarded to the decorated list iterator.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Rodney Waldhoff, Stephen Colebourne

Field Summary
`protected java.util.ListIterator` | `iterator` The iterator being decorated

Constructor Summary
`AbstractListIteratorDecorator(java.util.ListIterator iterator)` Constructor that decorates the specified iterator.

Method Summary
`void` | `add(java.lang.Object obj)`
`protected java.util.ListIterator` | `getListIterator()` Gets the iterator being decorated.
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`java.lang.Object` | `next()`
`int` | `nextIndex()`
`java.lang.Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected final java.util.ListIterator iterator

  The iterator being decorated

Constructor Detail

### AbstractListIteratorDecorator

    public AbstractListIteratorDecorator(java.util.ListIterator iterator)

  Constructor that decorates the specified iterator.

  Parameters:
    `iterator` - the iterator to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if the collection is null

Method Detail

### getListIterator

    protected java.util.ListIterator getListIterator()

  Gets the iterator being decorated.

  Returns:
    the decorated iterator

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in interface `java.util.ListIterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `java.util.ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`

### previous

    public java.lang.Object previous()

  Specified by:
    `previous` in interface `java.util.ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `java.util.ListIterator`

### set

    public void set(java.lang.Object obj)

  Specified by:
    `set` in interface `java.util.ListIterator`

### add

    public void add(java.lang.Object obj)

  Specified by:
    `add` in interface `java.util.ListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.